summaryrefslogtreecommitdiff
path: root/tests/basic
diff options
context:
space:
mode:
authorJameson Graef Rollins <jrollins@finestructure.net>2009-02-21 16:30:15 -0500
committerJameson Graef Rollins <jrollins@finestructure.net>2009-02-21 16:30:15 -0500
commitdd6d9d25138a96a61fc10aabd773926b22e95cb1 (patch)
tree27379ee1aa780da3aeb58356beb1acea10963426 /tests/basic
parent3c73575de77e8d4d211258641179c71080b56856 (diff)
cleanup of how ssh_test return code is captured in tests/basic
Diffstat (limited to 'tests/basic')
-rwxr-xr-xtests/basic8
1 files changed, 2 insertions, 6 deletions
diff --git a/tests/basic b/tests/basic
index f76a265..a3d32b4 100755
--- a/tests/basic
+++ b/tests/basic
@@ -57,20 +57,16 @@ ssh_test() {
sleep 1
done
- set +e
-
# make a client connection to the socket
echo "##### starting ssh client..."
ssh-agent bash -c \
- "monkeysphere subkey-to-ssh-agent && ssh -F $TEMPDIR/testuser/.ssh/config testhost true"
- RETURN="$?"
+ "monkeysphere subkey-to-ssh-agent && ssh -F $TEMPDIR/testuser/.ssh/config testhost true" \
+ || RETURN="$?"
# kill the sshd process if it's still running
kill "$SSHD_PID"
SSHD_PID=
- set -e
-
echo "##### return $RETURN"
if [ "$RETURN" = "$CODE" ] ; then
echo "##### ssh connection test returned as desired"